package cmd

import (
	"framework_v2/internal/access"
	internalHttp "framework_v2/internal/http"
	"framework_v2/internal/providers"
	"github.com/spf13/cobra"
)

var httpCommand = &cobra.Command{
	Use: "http",

	Run: func(cmd *cobra.Command, args []string) {
		providers.InitConfig()
		providers.InitLogger()
		// you should uncommit it after run make ent
		//providers.InitEnt()
		//providers.InitRedis()
		providers.InitJwksRefresh()
		providers.InitAsynQClient()
		providers.InitGin()
		internalHttp.InitHttp()

		StartHttp()
	},
}

func StartHttp() {
	if providers.Config.HTTP.ListenAddr == "" {
		providers.Config.GRPC.GrpcListenAddr = "0.0.0.0:8080"
	}

	err := access.Router.Run(providers.Config.HTTP.ListenAddr)
	if err != nil {
		panic("failed to listen: " + err.Error())
	}
	providers.Logger.Info("Http Server listening at " + providers.Config.GRPC.GrpcListenAddr)
}
