package cmd

import (
	"fmt"
	"github.com/spf13/cobra"
	"os"
	"path/filepath"
)

var rootCmd = &cobra.Command{
	Use: filepath.Base(os.Args[0]),
}

func Execute() {
	rootCmd.AddCommand(rpcCommand)
	rootCmd.AddCommand(migrateCommand)
	rootCmd.AddCommand(workerCommand)
	rootCmd.AddCommand(scheduleCommand)
	rootCmd.AddCommand(dsnCommand)
	rootCmd.AddCommand(createMigrateCommand)
	rootCmd.AddCommand(httpCommand)

	if err := rootCmd.Execute(); err != nil {
		fmt.Println(err)
		os.Exit(1)
	}
}
