package cmd

import (
	"framework_v2/internal/providers"
	"github.com/hibiken/asynq"
	"github.com/spf13/cobra"
	"log"
)

var workerCommand = &cobra.Command{
	Use: "worker",

	Run: func(cmd *cobra.Command, args []string) {
		providers.InitConfig()
		providers.InitLogger()
		providers.InitEnt()
		providers.InitRedis()
		providers.InitAsynQServer()

		runWorker()
	},
}

func runWorker() {
	mux := asynq.NewServeMux()

	//mux.HandleFunc(tasks.DocumentChunkTask, tasks.HandleDocumentChunkTask)
	//mux.HandleFunc(tasks.DocumentImportTask, tasks.HandleDocumentImportTask)

	if err := providers.AsynQServer.Run(mux); err != nil {
		log.Fatal(err)
	}

}
