package providers

import "github.com/hibiken/asynq"

var AsynQClient *asynq.Client
var AsynQServer *asynq.Server

func getAsynQRedisOpt() asynq.RedisClientOpt {
	return asynq.RedisClientOpt{
		Addr:     Config.Redis.Addr,
		Password: Config.Redis.Pass,
		DB:       0,
	}
}

func InitAsynQClient() {
	AsynQClient = asynq.NewClient(getAsynQRedisOpt())
}

func InitAsynQServer() {
	AsynQServer = asynq.NewServer(getAsynQRedisOpt(), asynq.Config{Concurrency: 10})
}
